Attribute VB_Name = "PartialWordSearch"
Sub SearchMacro()
    On Error GoTo ErrorHandler
    Dim strFrom As String
    Dim strSearch As String
    Dim strSearchFolderName As String
    
    strSearchFolderName = "Search Macro"
    
    'Delete "Search Macro" Search Folder from a previous search
    Dim oSearchFolders As Outlook.Folders
    Dim oFolder As Outlook.Folder
    Set oSearchFolders = Outlook.Session.DefaultStore.GetSearchFolders
    
    For Each oFolder In oSearchFolders
        If oFolder.Name = strSearchFolderName Then
            oFolder.Delete
        End If
    Next

    'Prompt for Search Query
    strSearch = InputBox("Enter your search query: ", "Search Macro")

    'Search within the Subject and Message Body
    Dim strDASLFilter As String
    strDASLFilter = "urn:schemas:httpmail:subject LIKE '%" & strSearch & "%' OR " & _
                    "urn:schemas:httpmail:textdescription LIKE '%" & strSearch & "%'"

    'Set search scope to the Inbox and Sent Items (will include subfolders)
    Dim strScope As String
    strScope = "'Inbox', 'Sent Items'"

    'Perform the search
    Dim objSearch As Search
    Set objSearch = Application.AdvancedSearch(Scope:=strScope, Filter:=strDASLFilter, SearchSubFolders:=True, Tag:="SearchFolder")

    'Save the search results to a Search Folder
    objSearch.Save (strSearchFolderName)
    
    'Add the Description and display the Search Folder in the current Outlook window
    Set oSearchFolders = Outlook.Session.DefaultStore.GetSearchFolders
    For Each oFolder In oSearchFolders
        If oFolder.Name = strSearchFolderName Then
            oFolder.Description = "You searched for: " & strSearch
            Set Application.ActiveExplorer.CurrentFolder = oFolder
        End If
    Next

    Set objSearch = Nothing
    Set oSearchFolders = Nothing
    Exit Sub

'Error handling
ErrorHandler:
MsgBox "Error: " & Err & vbNewLine & vbNewLine & Error(Err)

End Sub